package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.DBDSearchContext;
import com.sinosig.core.module.dao.po.IDBDTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface IDBDTableDAO {

    IDBDTable createDbdTable();

    boolean update(IDBDTable et);

    boolean create(IDBDTable et);

    boolean remove(String dbdid);

    IDBDTable get(String dbdid);

    IDBDTable get(IDBDTable et);


    List<IDBDTable> searchDefault(DBDSearchContext context);
}
